osapi.jive.corev3.places.Static

A static resource that is associated with a place (blog, group, project, or space). Only administrators of a place can manipulate the metadata about static resources. However, the resources are publicly accessible. An example JSON representation is:

Example:
Example JSON

JSON with the most important data for a Static. See the table below for a list of all fields.

 {
     "type" : "static",
     "filename" : "mypicture.png",
     "id" : "1000",
     "author" : {
       // Person JSON appears here
     },
     "place" : {
       // Parent Place's JSON appears here
     }
   }
 
Since: 3.1

Properties

PropertyTypeMode †Description
authorPersonread-only↑

Person that most recently uploaded this static resource.

descriptionStringoptional↑

Description of this static resource.

filenameStringrequired↑

Filename of this static resource (must be unique within static resources for a particular place).

idStringread-only↑

Identifier (unique within an object type and Jive instance) of this object. This field is internal to Jive and should not be confused with contentID or placeID used in URIs.

placePlaceread-only↑

Place (blog, group, project, or space) that this static resource is associated with.

publishedISO 8601 Dateread-only↑

Date and time this object was originally created.

resourcesObjectread-only↑

Resource links (and related permissions for the requesting person) relevant to this object.

typeStringread-only↑

The object type of this object ("static").

typeCodeIntegerread-only↑
updatedISO 8601 Dateread-only↑

Date and time this object was most recently updated.

†
→ Fields used by update and create operations
→ Fields used only by create operations
→ Fields not used by update or create operations

Methods

↑
destroy()
DELETE /statics/1234

Retrieves

--

Description

Delete this static resource.

Availability:

Available to place administrators and Jive administrators only

↑
get(options)
GET /statics/1234

Retrieves

Static

Description

Return an updated version of this static resource.

Availability:

Available to place administrators only

↑
update(multipartbody,options)
PUT /statics/1234

Retrieves

Static

Description

Update the metadata about this static resource.

Availability:

Available to place administrators only

Resources

ResourceMethodReturnsDescription
htmlGETObject↑

URI of the HTML representation of this static resource. This URI is suitable for embedding in HTML content that wishes to refer to this resource.